Bug 967503 - spacewalkkoan doesn't set correctly option no_copy_default
spacewalkkoan doesn't set correctly option no_copy_default
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.8
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: space21
  Show dependency treegraph
 
Reported: 2013-05-27 06:13 EDT by Braggle
Modified: 2014-03-04 08:08 EST (History)
0 users

See Also:
Fixed In Version: spacewalk-koan-2.1.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 08:06:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct no_copy_default parameter (643 bytes, patch)
2013-05-27 06:13 EDT, Braggle
no flags Details | Diff

  None (edit)
Description Braggle 2013-05-27 06:13:08 EDT
Created attachment 753540 [details]
patch to correct no_copy_default parameter

Description of problem:
Re install a fedora 17 system from spacewalk (Provisioning->Kickstart->Schedule) doesn't work. The system reboots with the koan kernel but start the services instead of the installation program. The option "--copy-default" is set in the grubby command. The spacewalkkoan.py script launch the command koan with wrong args: grubby_copy_default instead of no_copy_default. And the default value is wrong too.


Version-Release number of selected component (if applicable):
spacewalk-koan package version 1.8.3 and newest


How reproducible:
Spacewalk server v1.8 and Fedora 17 system

Steps to Reproduce:
1. Register the already installed Fedora 17 system on Spacewalk
2. Schedule a kickstart
3. use the "rhn_check -vv" 

Actual results:
The kernel is added in the grub.cfg file with all the default args.

Expected results:
The kernel is added in the grub.cfg file without the default args

Additional info:
In the script /usr/share/rhn/spacewalkkoan/spacewalkkoan.py I have replace the lines "k.grubby_copy_default = 0" with "k.no_copy_default     = 1" and it works.
Comment 1 Milan Zázrivec 2013-12-20 11:52:47 EST
Fixed in spacewalk.git master: 72c696cca8a61d2c64a19ff9c6cfc2128378410b

Thank you for your report.
Comment 2 Matej Kollar 2014-01-17 07:15:24 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 3 Matej Kollar 2014-03-04 08:06:25 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 4 Matej Kollar 2014-03-04 08:08:31 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.